Fetch recent changes
curl --request GET \
--url 'https://api.themoviedb.org/3/person/{{person_id}}/changes' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{{person_id}}/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"also_known_as": [
"Rika Tatsumi"
],
"biography": "Rika Tatsumi is a professional wrestler. Rika Tatsumi\n\nBirth: September 27th\n\nHeight: 5’4″\n\nWeight: Unknown\n\nBackground: DDT/Tokyo Joshi Pro\n\nDebut: January 28th, 2014\n\nOther Identities: None\n\nChampionships Held: None\n\nTournaments Won: None\n\nAwards Won: None\n\nNotable Matches:",
"birthday": null,
"deathday": null,
"gender": 1,
"homepage": null,
"id": 2280390,
"imdb_id": null,
"known_for_department": "Acting",
"name": "Ririko Ishizawa",
"place_of_birth": "Hokkaidō, Japón",
"popularity": 0.574,
"profile_path": "/lho8u0q2KxO9y3uEJs3XtqI2Pyg.jpg"
}People
Fetch recent changes
This endpoint allows you to get the recent changes for a person.
GET
/
person
/
{person_id}
/
changes
Fetch recent changes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Example:
"date"
Defaults to 1
Example:
"int32"
Example:
"date"
Response
200 - application/json
Fetch details
Example:
false
Example:
["Rika Tatsumi"]
Example:
"Rika Tatsumi is a professional wrestler. Rika Tatsumi\n\nBirth: September 27th\n\nHeight: 5’4″\n\nWeight: Unknown\n\nBackground: DDT/Tokyo Joshi Pro\n\nDebut: January 28th, 2014\n\nOther Identities: None\n\nChampionships Held: None\n\nTournaments Won: None\n\nAwards Won: None\n\nNotable Matches:"
Example:
1
Example:
2280390
Example:
"Acting"
Example:
"Ririko Ishizawa"
Example:
"Hokkaidō, Japón"
Example:
0.574
Example:
"/lho8u0q2KxO9y3uEJs3XtqI2Pyg.jpg"